CMS Made Simple Forums
https://forum.cmsmadesimple.org/

site down, probably PHP change on server
https://forum.cmsmadesimple.org/viewtopic.php?f=8&t=81316
Page 1 of 1

Author:  stevethomas57 [ Tue Jul 16, 2019 11:02 am ]
Post subject:  site down, probably PHP change on server

I have a site made with version 1.5.2 which has been running fine for years until a few days ago. The phpinfo shows it is now version 7.3.6, which I suspect was recently upgraded, but I don't know what it was before. The error log shows an error on line 70, it doesn't like the "new" for the CmsObject:

#Make a new CMS object
require(cms_join_path($dirname,'lib','classes','class.global.inc.php'));
$gCms =& new CmsObject();
if (isset($starttime))
{
$gCms->variables['starttime'] = $starttime;
}

Is there a simple fox for this, or a way to control the PHP version?

Author:  DIGI3 [ Tue Jul 16, 2019 1:51 pm ]
Post subject:  Re: site down, probably PHP change on server

Yep, you'll need to get an older version of PHP on there, or move it to a temporary location/vm with PHP 5.x. Generally PHP 5.6 works for the CMSMS 1.x series but for one that old you might need ~5.4.

Page 1 of 1 All times are UTC
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/